
Redmine - Feature #2623

C# syntax highlighting

2009-01-30 08:07 - Anonymous

Status: Closed Start date: 2009-01-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

This would be useful both for inline code in wiki pages/forum posts and for browsing files in the repository.

Related issues:

Related to Redmine - Feature #24681: Syntax highlighter: replace CodeRay with... Closed

History

#1 - 2009-01-30 13:18 - Sergej Jegorov

+1

#2 - 2009-02-26 09:29 - Adrien Crivelli

That would be neat indeed. But I guess that's rather CodeRay job. It's planned for 1.0RC1 which is due in ~50 days. So hopefully it will soon be

available in Redmine too. ( http://code.licenser.net/issues/show/78 )

#3 - 2009-04-16 12:42 - Paul Quirk

Meantime, for wiki markup etc, using java lang support via the code markup tag does a pretty good job on c# code

#4 - 2011-04-30 00:16 - Mischa The Evil

- Category changed from Wiki to Third-party libraries

Changed issue-relations to reflect the upstream roadmap:

- related to Feature #4264: Update CodeRay to 1.0 final

+ blocked by Feature #8253: Update CodeRay to 1.1 final

and changed to new - more appropriate - category...

#5 - 2011-04-30 02:55 - Mischa The Evil

- Target version set to Unplanned backlogs

#6 - 2011-05-06 10:16 - Ebrahim Mohammadi

Implementing #8120 as discussed would solve C# syntax highlighting, since both Google Code Prettify and Sunlight support C#.

#7 - 2011-07-11 20:43 - Nuno  Duarte

+1

#8 - 2011-08-14 13:46 - Terence Mill

+1

#9 - 2013-03-22 03:18 - Anonymous

+1 We are a C# house so this would be greatly appreciated.

#10 - 2013-03-22 05:00 - Mischa The Evil

Just came around forum-message: C# scanner file for CodeRay. Although it is old (for CodeRay 0.7.6.227; Redmine 2.3.0 uses 1.0.6 [

source:/tags/2.3.0/Gemfile#L6]), it might provide (the base for) an interim solution untill the scanner has been actually implemented upstream.
#11 - 2013-03-22 11:07 - Etienne Massip

Mischa The Evil wrote:

Redmine 2.3.0 uses 1.0.6 [source:/tags/2.3.0/Gemfile#L6]

 Up to 1.0.9 =)

it might provide (the base for) an interim solution untill the scanner has been actually implemented upstream.

 FTR, the issue in the Coderay IT is located here : https://github.com/rubychan/coderay/issues/54.

#12 - 2013-06-17 05:09 - Jeff Pierson

According to the CodeRay issue tracker the C# syntax highlighting feature appears to be slated for 1.1 but has been punted for around 4 years just as

this issue has.

http://odd-eyed-code.org/issues/78

I'm assuming this is a new link to the same issue posted posted before in comment#2 (http://code.licenser.net/issues/show/78).

#13 - 2013-07-04 18:13 - Pedro Calvo

+1

#14 - 2013-09-26 07:29 - Jeff Pierson

It appears that there is also a related forum thread on a C# scanner file for CodeRay.

#15 - 2013-10-26 06:51 - Mischa The Evil

- Blocked by deleted (Feature #8253: Update CodeRay to 1.1 final)

#16 - 2013-10-26 07:00 - Mischa The Evil

A scanner for C# is not included in CodeRay 1.1
.

Jeff Pierson wrote:

It appears that there is also a related forum thread on a C# scanner file for CodeRay.

 That is exactly what I said in note-10.

Jeff Pierson wrote:

According to the CodeRay issue tracker [...]

http://odd-eyed-code.org/issues/78

I'm assuming this is a new link to the same issue posted posted before in comment#2 (http://code.licenser.net/issues/show/78).

 It seems the author of CodeRay has used/has been using several issue tracking systems over the years. The feature request to add a C# scanner is

now being handled in an issue on GitHub (https://github.com/rubychan/coderay/issues/54), as already stated by Etienne in #11.
 https://github.com/rubychan/coderay/blob/master/Changes.textile

#17 - 2016-12-26 02:16 - Go MAEDA

- Related to Feature #24681: Syntax highlighter: replace CodeRay with Rouge added

#18 - 2017-09-28 11:52 - Roman Yagodin

+1

#19 - 2018-09-29 09:29 - Go MAEDA

- Category changed from Third-party libraries to Text formatting

- Status changed from New to Closed

- Target version deleted (Unplanned backlogs)

- Resolution set to Fixed

2025-07-16 2/3

https://www.redmine.org/versions/60
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.0/Gemfile#L6
https://github.com/rubychan/coderay/issues/54
http://odd-eyed-code.org/issues/78
http://code.licenser.net/issues/show/78
http://www.redmine.org/boards/3/topics/11616
http://www.redmine.org/boards/3/topics/11616
http://odd-eyed-code.org/issues/78
http://code.licenser.net/issues/show/78
https://github.com/rubychan/coderay/issues/54
https://www.redmine.org/issues/11
https://github.com/rubychan/coderay/blob/master/Changes.textile


Implemented in #24681 for upcoming Redmine 4.0.0.
